* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  list-style: none;
  text-decoration: none;
}
header {
  position: fixed;
  right: 0;
  top: 0;
  z-index: 1000;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 33px 9%;
  background: transparent;
  margin-bottom: 90px;
}

.navlist {
  display: flex;
}
.navlist a {
  color: #fff;
  text-decoration: none;
  margin-left: 60px;
  font-size: 15px;
  font-weight: 600;
  border-bottom: 2px solid transparent;
  transition: all 0.55s ease;
}
.navlist a:hover {
  border-bottom: 2px solid white;
}
#menu-icon {
  color: white;
  font-size: 35px;
  z-index: 10001;
  cursor: pointer;
  display: none;
}

.logo {
  font-size: 30px;
  font-weight: 700;
  color: #fff;
}
.judul {
  height: 100vh;
  width: 100%;
  background-image: url(images/wallpaper.jpeg);
  background-size: cover; /* Membuat gambar menyesuaikan ukuran layar */
  background-position: center; /* Menempatkan gambar di tengah */
  background-repeat: no-repeat; /* Mencegah gambar berulang */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 10%;
}

.judul-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 1000px;
  width: 100%;
}

.judul-text {
  flex: 1;
  color: white;
}

.judul-text h1 {
  font-size: 2.5rem;
}

.cta-buttons {
  margin-top: 1rem;
}

.cta-buttons a {
  text-decoration: none;
  color: white;
  background: #ffcc00;
  padding: 10px 20px;
  border-radius: 5px;
  margin-right: 10px;
  display: inline-block;
}

.judul-image {
  perspective: 1000px; /* Memberikan efek 3D */
}

.judul-image img {
  width: 350px; /* Ukuran gambar lebih besar */
  height: 400px; /* Ukuran gambar lebih besar */
  border-radius: 10px;
  object-fit: cover;
  transform: rotateY(10deg); /* Memberikan sedikit efek miring */
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
  transition: transform 0.3s ease;
  margin-left: 20px; /* Memberikan jarak antara gambar dan teks */
  margin-right: 20px; /* Jarak kanan juga bisa ditambahkan jika perlu */
}

.judul-image img:hover {
  transform: rotateY(0); /* Efek hover agar kembali lurus */
}

.hero-img img {
  width: 350px;
  height: auto;
  margin-top: 150px;
}
section {
  padding: 0 19%;
}
.judul-text h5 {
  font-size: 14px;
  margin-top: 100px;
  font-weight: 400;
  color: white;
  margin-bottom: 20px;
}
.judul-text h1 {
  font-family: "Goblin One", serif;
  font-size: 60px;
  line-height: 1;
  color: white;
  margin: 0 0 5px;
}
.judul-text h4 {
  font-size: 25px;
  font-weight: 600;
  color: white;
  margin-bottom: 15px;
}
.judul p {
  font-size: 22px;
  color: rgb(170, 165, 165);
  line-height: 1.9;
  margin-bottom: 40px;
  font-family: "Times New Roman", Times, serif;
}
.judul-text a {
  text-decoration: none;
  display: inline-block;
  color: white;
  background: #4d9559;
  border: 1px solid transparent;
  padding: 12px 30px;
  line-height: 1.4;
  font-size: 14px;
  font-weight: 500;
  border-radius: 30px;
  text-transform: uppercase;
  transition: all 0.55s ease;
}
.judul-text a:hover {
  background: transparent;
  border: 1px solid white;
  transform: translateX(8px);
}
.judul-text a.ctaa {
  background: transparent;
  border: 1px solid white;
  margin-left: 20px;
}
.judul-text a.ctaa i {
  vertical-align: middle;
  margin-right: 5px;
}
.social-media {
  position: absolute;
  top: 50%;
  padding: 0 9%;
  transform: translateY(-50%);
}
.social-media i {
  display: block;
  margin: 20px 0;
  font-size: 24px;
  color: white;
  transition: all 0.5s ease;
}
.social-media a {
  text-decoration: none;
}
.icons i:hover {
  color: #4d9559;
  transform: translateY(-5px);
}
.scroll-down {
  position: absolute;
  bottom: 6%;
  right: 9%;
}
.scroll-down i {
  display: block;
  padding: 12px;
  font-size: 25px;
  color: white;
  background: #4d9559;
  border-radius: 30px;
  transition: all 0.5s ease;
}
.scroll-down i:hover {
  transform: translateY(-5px);
}
@media (max-width: 1535px) {
  header {
    padding: 15px 3%;
    transition: 0.2s;
  }
  .social-media {
    padding: 0 3%;
    transition: 0.2s;
  }
  .scroll-down {
    right: 3%;
    transition: 0.2s;
  }
}
@media (max-width: 1460px) {
  section {
    padding: 0 12%;
    transition: 0.2s;
  }
}
@media (max-width: 1340px) {
  .hero-img img {
    width: 100%;
    height: auto;
  }
  .judul-text h1 {
    font-size: 75px;
    margin: 0 0 30px;
  }
  .judul-text h5 {
    margin-bottom: 25px;
  }
}
@media (max-width: 1195px) {
  section {
    padding: 0 3%;
    transition: 0.2s;
  }
  .judul-text {
    padding-top: 115px;
  }
  .hero-img {
    text-align: center;
  }
  .hero-img img {
    width: 560px;
    height: auto;
  }
  .judul {
    height: 100%;
    gap: 1rem;
    grid-template-columns: 1fr;
  }
  .social-media {
    display: none;
  }
  .scroll-down {
    display: none;
  }
}
@media (max-width: 990px) {
  #menu-icon {
    display: block;
  }
  .navlist {
    position: absolute;
    top: 100%;
    right: -100%;
    width: 300px;
    height: 50vh;
    background: #4d9559;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 50px 20px;
    transition: all 0.55s ease;
  }
  .navlist a {
    margin-left: 0;
    display: block;
    margin: 7px 0;
  }
  .navlist.open {
    right: 0;
  }
}

@media (max-width: 680px) {
  .hero-img img {
    width: 100%;
    height: auto;
  }
}
.about {
  padding: 80px 0;
  background: rgba(6, 5, 9, 0.986);
}

.about .content h3 {
  font-weight: 700;
  text-align: center;
  margin-top: 30px;
  margin-bottom: 30px;
  font-family: "Abril Fatface", serif;
  font-size: 32px;
  color: #fff; /* Warna teks gelap agar lebih mudah dibaca */
}

.about .content p {
  text-align: justify; /* Agar teks lebih mudah dibaca */
}

.about img {
  border-radius: 50%; /* Membuat foto bulat */
  width: 300px; /* Memperbesar ukuran gambar */
  height: 300px; /* Memperbesar ukuran gambar */
  object-fit: cover;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1); /* Memberikan efek shadow */
  margin-left: auto; /* Agar gambar terpusat di kolom kiri */
  margin-right: auto; /* Agar gambar terpusat di kolom kiri */
  margin-top: 20px; /* Menambahkan jarak atas */
}

.about .content ul {
  list-style: none;
  padding: 0;
  margin-top: 20px;
}

.about .content ul li {
  padding: 10px 0;
  position: relative;
  font-size: 18px;
}

.about .content ul i {
  position: absolute;
  font-size: 20px;
  left: 0;
  top: 2px;
  color: #ffc451;
}

.proyek {
  margin-top: 40px;
}

.proyek h4 {
  font-size: 24px;
  font-weight: 600;
  color: #333;
}

.proyek p {
  font-size: 16px;
  color: #666;
}

@media (max-width: 768px) {
  .about .container {
    padding-left: 15px;
    padding-right: 15px;
  }

  .about img {
    width: 1750px; /* Menyesuaikan ukuran gambar di perangkat mobile */
    height: 200px; /* Menyesuaikan ukuran gambar di perangkat mobile */
  }
}
.services {
  padding: 60px 0;
  background: linear-gradient(245.59deg, #141e30 10%, #080a0b 50%);
  color: white;
}

.section-title h2 {
  text-align: center;
  font-size: 32px;
  font-weight: bold;
  color: #fff;
}

.skills-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 20px;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
}

.skill-item {
  background: rgba(255, 255, 255, 0.1);
  padding: 20px;
  text-align: center;
  border-radius: 10px;
  transition:
    transform 0.3s,
    background 0.3s;
  cursor: pointer;
}

.skill-item i {
  font-size: 40px;
  margin-bottom: 10px;
  display: block;
  color: #fff;
}

.skill-item h4 {
  font-size: 18px;
  font-weight: bold;
  color: white;
}

.skill-item:hover {
  background: rgba(255, 255, 255, 0.2);
  transform: scale(1.05);
}
.contact {
  background: linear-gradient(245.59deg, #141e30 10%, #080a0b 50%);
}

.contact .section-header h2 {
  font-family: "Abril Fatface", serif;
  font-size: 28px;
  text-align: center;
  font-weight: 700;
}
.contact .section-header p {
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
  font-size: 20px;
  text-align: center;
  font-weight: bold;
}
.contact .section-header span {
  color: #df1529;
  font-family: "Goblin One", serif;
  font-style: italic;
  font-size: 20px;
}
.contact .info-item {
  padding: 30px;
  height: 100%;
}

.contact .info-item .icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 56px;
  height: 56px;
  font-size: 24px;
  line-height: 0;
  color: #fff;
  background: var(--color-primary);
  border-radius: 50%;
  margin-right: 15px;
}

.contact .info-item h3 {
  font-size: 20px;
  color: #6c757d;
  font-weight: 700;
  margin: 0 0 5px 0;
}

.contact .info-item p {
  padding: 0;
  margin: 0;
  line-height: 24px;
  font-size: 14px;
}

.contact .info-item .social-links a {
  font-size: 24px;
  display: inline-block;
  color: rgba(55, 55, 63, 0.7);
  line-height: 1;
  margin: 4px 6px 0 0;
  transition: 0.3s;
}

.contact .info-item .social-links a:hover {
  color: var(--color-primary);
}

.contact .php-email-form {
  width: 100%;
  margin-top: 30px;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.08);
}

.contact .php-email-form .form-group {
  padding-bottom: 20px;
}

.contact .php-email-form .error-message {
  display: none;
  color: #fff;
  background: #df1529;
  text-align: left;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .error-message br + br {
  margin-top: 25px;
}

.contact .php-email-form .sent-message {
  display: none;
  color: #fff;
  background: #059652;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .loading {
  display: none;
  text-align: center;
  padding: 15px;
}

.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid #059652;
  border-top-color: #fff;
  animation: animate-loading 1s linear infinite;
}

.contact .php-email-form input,
.contact .php-email-form textarea {
  border-radius: 0;
  box-shadow: none;
  font-size: 14px;
}

.contact .php-email-form input:focus,
.contact .php-email-form textarea:focus {
  border-color: var(--color-primary);
}

.contact .php-email-form input {
  height: 48px;
}

.contact .php-email-form textarea {
  padding: 10px 12px;
}

.contact .php-email-form button[type="submit"] {
  background: var(--color-primary);
  border: 0;
  padding: 12px 40px;
  color: #fff;
  transition: 0.4s;
  border-radius: 50px;
}

.contact .php-email-form button[type="submit"]:hover {
  background: #ec2727;
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
/*--------------------------------------------------------------
  # Resume
  --------------------------------------------------------------*/
.resume {
  background: linear-gradient(245.59deg, #141e30 10%, #080a0b 50%);
}
.resume .section-title h2 {
  text-align: center;
  font-family: "Abril Fatface", serif;
  font-size: 28px;
  font-weight: 700;
  margin-bottom: 20px;
}
.resume .resume-title {
  font-size: 26px;
  font-weight: 700;
  margin-top: 20px;
  margin-bottom: 20px;
  color: #45505b;
}
.resume .resume-item {
  padding: 0 0 20px 20px;
  margin-top: -2px;
  border-left: 2px solid #0563bb;
  position: relative;
}

.resume .resume-item h4 {
  line-height: 18px;
  font-size: 18px;
  font-weight: 600;
  text-transform: uppercase;
  font-family: "Poppins", sans-serif;
  color: #0563bb;
  margin-bottom: 10px;
}

.resume .resume-item h5 {
  font-size: 16px;
  /* background: #f7f8f9; */
  padding: 5px 15px;
  display: inline-block;
  font-weight: 600;
  margin-bottom: 10px;
}

.resume .resume-item ul {
  padding-left: 20px;
}

.resume .resume-item ul li {
  padding-bottom: 10px;
}

.resume .resume-item:last-child {
  padding-bottom: 0;
}

.resume .resume-item::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  border-radius: 50px;
  left: -9px;
  top: 0;
  background: #fff;
  border: 2px solid #0563bb;
}
footer {
  background: linear-gradient(245.59deg, #141e30 50%, #080a0b 50%);

  color: #fff;
  text-align: center;
  padding: 10px;
  bottom: 0;
  width: 100%;
}

/* projek  */

/* Container */
.container {
  width: 80%;
  margin: auto;
  text-align: center;
  padding: 50px 0;
  position: relative;
  z-index: 2; /* Agar teks selalu di atas */
}

/* Judul */
.section-title {
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 30px;
  text-transform: uppercase;
  color: #fff;
}

/* Grid untuk menampilkan projek */
.projek-wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  padding-top: 20px;
  position: relative;
  z-index: 2; /* Agar teks tetap terlihat */
}

/* Card Proyek */
.projek-item {
  background: rgba(4, 3, 9, 0.1);
  border-radius: 10px;
  padding: 20px;
  color: white;
  text-align: center;
  transition:
    transform 0.3s ease,
    background 0.3s ease;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 400px; /* Menjadikan card lebih tinggi */
}

/* Gambar di dalam Card */
.projek-item img {
  width: 100%;
  height: 200px; /* Sesuaikan tinggi gambar */
  object-fit: cover;
  border-radius: 10px;
  margin-bottom: 10px;
}

/* Efek Hover */
.projek-item:hover {
  transform: scale(1.05);
  background: rgba(6, 1, 21, 0.2);
}

/* Background khusus di dalam section projek */
.projek {
  position: relative;
  background: linear-gradient(245.59deg, #080a0b 50%, #141e30 10%);
  padding: 50px 0;
  overflow: hidden;
}

/* Background dinamis di dalam section projek */
.projek-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  opacity: 0.2; /* Agar tidak terlalu mencolok */
  transition: background-image 0.5s ease-in-out;
}

/* end projek */
